%define		subver	b
%define		rel	1
Summary:	Web application security scanner
Name:		skipfish
Version:	2.10
Release:	0.%{subver}.%{rel}
License:	Apache v2.0
Group:		Applications/Networking
Source0:	http://skipfish.googlecode.com/files/%{name}-%{version}%{subver}.tgz
# Source0-md5:	8edf6092f3d1835cb4a381b7a723db8a
URL:		http://code.google.com/p/skipfish/
BuildRequires:	libidn-devel
BuildRequires:	openssl-devel
BuildRequires:	pcre-devel
BuildRequires:	sed >= 4.0
BuildRequires:	zlib-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
A fully automated, active web application security reconnaissance
tool.

Key features:
- High speed: pure C code, highly optimized HTTP handling, minimal CPU
  footprint - easily achieving 2000 requests per second with responsive
  targets.
- Ease of use: heuristics to support a variety of quirky web
  frameworks and mixed-technology sites, with automatic learning
  capabilities, on-the-fly wordlist creation, and form autocompletion.
- Cutting-edge security logic: high quality, low false positive,
  differential security checks, capable of spotting a range of subtle
  flaws, including blind injection vectors.

%prep
%setup -q -n %{name}-%{version}%{subver}

%{__sed} -i -e 's,-O3,$(OPTCFLAGS),' Makefile
%{__sed} -i -e 's,-L/usr/local/lib/ -L/opt/local/lib,$(OPTLDFLAGS),' Makefile
%{__sed} -i -e 's,"assets","%{_datadir}/%{name}/assets",' src/config.h
%{__sed} -i -e 's,"signatures/,"%{_sysconfdir}/%{name}/,' src/config.h
%{__sed} -i -e 's,signatures/,%{_datadir}/%{name}/signatures/,' signatures/signatures.conf

%build
%{__make} \
	CC="%{__cc}" \
	OPTCFLAGS="%{rpmcflags} %{rpmcppflags}" \
	OPTLDFLAGS="%{rpmldflags}"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},%{_sysconfdir}/%{name},%{_datadir}/%{name}/{,signatures},%{_mandir}/man1}

install -p %{name} $RPM_BUILD_ROOT%{_bindir}
cp -a doc/%{name}.1 $RPM_BUILD_ROOT%{_mandir}/man1
cp -a signatures/signatures.conf $RPM_BUILD_ROOT%{_sysconfdir}/%{name}
cp -ar assets dictionaries $RPM_BUILD_ROOT%{_datadir}/%{name}
cp -ar signatures/*.sigs $RPM_BUILD_ROOT%{_datadir}/%{name}/signatures

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc ChangeLog README config/example.conf doc/*.txt
%attr(755,root,root) %{_bindir}/skipfish
%dir %{_sysconfdir}/%{name}
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/%{name}/signatures.conf
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/assets
%{_datadir}/%{name}/dictionaries
%{_datadir}/%{name}/signatures
%{_mandir}/man1/%{name}.1*
%changelog
* Thu Dec 06 2012 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/skipfish.git;a=log;h=master

* Thu Dec 06 2012 Łukasz Kieś <kiesiu@pld-linux.org> 8412b11
- updated to 2.10b

* Tue Sep 04 2012 Łukasz Kieś <kiesiu@pld-linux.org> d59f92a
- updated to 2.09b

* Sun Sep 02 2012 Łukasz Kieś <kiesiu@pld-linux.org> dee7aba
- more path fixes
- added signatures
- more verbose files
- rel. 2

* Sun Sep 02 2012 Łukasz Kieś <kiesiu@pld-linux.org> d3dac5f
- updated to 2.08b
- added more doc files

* Sat Jun 02 2012 blekot <blekot@pld-linux.org> bec7f70
- up to 2.07b

* Mon May 14 2012 Łukasz Kieś <kiesiu@pld-linux.org> e053be0
- updated to 2.06b

* Fri Mar 09 2012 Łukasz Kieś <kiesiu@pld-linux.org> cf2c05f
- updated to 2.05

* Tue Mar 06 2012 Łukasz Kieś <kiesiu@pld-linux.org> 9a792cb
- fixed ASSETS_DIR value

* Tue Mar 06 2012 Łukasz Kieś <kiesiu@pld-linux.org> 2f7693d
- updated to 2.04

* Thu Jul 14 2011 Łukasz Kieś <kiesiu@pld-linux.org> 5bd81a4
- updated to 2.02b

* Fri Jun 10 2011 Łukasz Kieś <kiesiu@pld-linux.org> fa53ebd
- updated to 1.93

* Sun Dec 19 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> b21877c
- also include assets

* Sun Dec 19 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 6625831
- include man page and dictionaries

* Sun Dec 19 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 10522db
- up to 1.84b

* Wed Nov 10 2010 pawelz <pawelz@pld-linux.org> 243bc43
- blah, reverted adapter's mistake

* Wed Nov 10 2010 pawelz <pawelz@pld-linux.org> befb501
- be quiet!
- rel 1

* Wed Nov 10 2010 pawelz <pawelz@pld-linux.org> 717d8f9
- up to 1.70b
- simplified %prep

* Tue Mar 23 2010 Elan Ruusamäe <glen@pld-linux.org> b73b8d7
- install binary as well :)

* Tue Mar 23 2010 Elan Ruusamäe <glen@pld-linux.org> 57bdca9
- new

